Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.blockworks.com/v1/assets/{idOrSlug}/supply \ --header 'x-api-key: <api-key>'
import requestsurl = "https://api.blockworks.com/v1/assets/{idOrSlug}/supply"headers = {"x-api-key": "<api-key>"}response = requests.get(url, headers=headers)print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};fetch('https://api.blockworks.com/v1/assets/{idOrSlug}/supply', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
{ "circulating": 120702472.20949, "liquid": 0, "total": 120702572.39159, "asset_code": "ETH", "asset_slug": "ethereum" }
Get supply data for a single asset. Returns only the supply data with asset identifiers.
Supply data for the specified asset
20
100